# UAE Trade License Verification

API allows users to verify the validity and details of a trade license issued in the United Arab Emirates. It provides access to information such as the license number associated with the license.

#### Submit Document

## uae\_trade\_license

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/uae_trade_license`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th width="235.63671875">Description</th></tr></thead><tbody><tr><td>ed_license_number </td><td>String </td><td>Yes </td><td>TRN number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "ed_license_number": "616529"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "f13141c2-10b6-4864-96f1-413073018f5e",
    "status": "completed",
    "result": {
        "edLicenseNumber": "616529",
        "cblsNumber": "11224780",
        "businessName": "PRESTIGE CONSTRUCTIONS L.L.C SP -SHJ.BR.",
        "businessNameArabic": "برستيج للانشاءات ذ.م.م ش.ش.و فرع الشارقة",
        "expiryDate": "2025-12-17",
        "licensingAuthority": "دائرة التنمية الإقتصادية في الشارقة",
        "legalForm": "شركة الشخص الواحد ش.ش.و",
        "activityName": "ÙÙØ§ÙÙØ§Øª ÙØ¦Ø© Ø£ÙÙÙ Ø¥Ø®ØªØµØ§Øµ",
        "activityNameArabic": "مقاولات فئة أولى إختصاص",
        "licenseStatus": "فعال",
        "phoneNumber": "00971508032659",
        "address": "الشارقة-الغوير/الشارقة-شارع الزهراء مكتب رقم 6 طابق رقم 2 ملك بنك دبي التجاري ش م ع"
    },
    "requested_at": "2025-07-22T07:40:13.407Z",
    "completed_at": "2025-07-22T07:40:22.095Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
    "status": "in_progress",
    "requested_at": "2026-01-27T11:44:58.057Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "License Number should not be empty",
        "field": "ed_license_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "failed",
    "error": {
        "message": "Invalid ID Number.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T09:35:53.893Z",
    "completed_at": "2026-01-27T09:35:59.831Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/uae_trade_license`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "6e0a8534-ab7a-4cac-886c-cf42123399a0",
    "status": "completed",
    "result": {
        "emiratesIdNumber": "784196225985074",
        "dateOfBirth": "1962-08-09",
        "currentNationality": "united_arab_emirates",
        "issueDate": "2021-07-25",
        "expiryDate": "2026-07-24",
        "eidCardNumber": "106784945"
    },
    "requested_at": "2026-01-27T14:23:05.003Z",
    "completed_at": "2026-01-27T14:23:31.351Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "d63508d8-9e04-49ec-925c-e1912d6a0007",
    "status": "in_progress",
    "requested_at": "2026-01-27T11:44:58.057Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "db47ada5-c56f-42a9-b731-37c2fbcf7545",
    "status": "failed",
    "error": {
        "message": "Invalid ID Number.",
        "code": "ERROR"
    },
    "requested_at": "2026-01-27T09:35:53.893Z",
    "completed_at": "2026-01-27T09:35:59.831Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/uae/uae-trade-license-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
